| Home | Libraries | People | FAQ | More

##### ip::basic_resolver::resolve (4 of 4 overloads)

Resolve an endpoint to a list of entries.

    iterator resolve(
        const endpoint_type & e,
        boost::system::error_code & ec);

This function is used to resolve an endpoint into a list of endpoint entries.

###### Parameters

e

  An endpoint object that determines what endpoints will be returned.

ec

  Set to indicate what error occurred, if any.

###### Return Value

A forward-only iterator that can be used to traverse the list of endpoint entries. Returns a default constructed iterator if an error occurs.

###### Remarks

A default constructed iterator represents the end of the list.

A successful call to this function is guaranteed to return at least one entry.